%define anolis_release 1
%global pypi_name bokeh
%global pypi_version 3.3.4

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Interactive plots and applications in the browser from Python

License:        BSD-3-Clause license

URL:            https://bokeh.org/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(contourpy) >= 1
BuildRequires:  python3dist(jinja2) >= 2.9
BuildRequires:  python3dist(numpy) >= 1.16
BuildRequires:  python3dist(packaging) >= 16.8
BuildRequires:  python3dist(pandas) >= 1.2
BuildRequires:  python3dist(pillow) >= 7.1
BuildRequires:  python3dist(pyyaml) >= 3.10
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tornado) >= 5.1
BuildRequires:  python3dist(xyzservices) >= 2021.9.1

%description
Bokeh is a Python library for creating interactive visualizations for modern 
web browsers. It helps you build beautiful graphics, ranging from simple plots 
to complex dashboards with streaming datasets. With Bokeh, you can create 
JavaScript-powered visualizations without writing any JavaScript yourself.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(contourpy) >= 1
Requires:       python3dist(jinja2) >= 2.9
Requires:       python3dist(numpy) >= 1.16
Requires:       python3dist(packaging) >= 16.8
Requires:       python3dist(pandas) >= 1.2
Requires:       python3dist(pillow) >= 7.1
Requires:       python3dist(pyyaml) >= 3.10
Requires:       python3dist(setuptools)
Requires:       python3dist(tornado) >= 5.1
Requires:       python3dist(xyzservices) >= 2021.9.1
%description -n python3-%{pypi_name}
Bokeh is a Python library for creating interactive visualizations for modern 
web browsers. It helps you build beautiful graphics, ranging from simple plots 
to complex dashboards with streaming datasets. With Bokeh, you can create 
JavaScript-powered visualizations without writing any JavaScript yourself.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
mv %{buildroot}/%{python3_sitelib}/%{pypi_name}-0.0.0-py%{python3_version}.egg-info %{buildroot}/%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{_bindir}/bokeh
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/typings
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Jan 30 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 3.3.4-1
- Initial package.
